# 🐧 Alma Linux – distribuce na pevném základu, kterou doporučuje CERN

![](https://lukan.cz/wp-content/uploads/2024/09/What-is-AlmaLinux.png)

[AlmaLinux](https://almalinux.org/) je open-source operační systém založený na Red Hat Enterprise Linux (RHEL). Byl vytvořen jako náhrada za CentOS, který se v roce 2020 přesunul na model „CentOS Stream“, což znamenalo, že se stal více experimentálním a méně stabilním pro produkční prostředí. AlmaLinux je zaměřen na poskytování stabilní a bezpečné platformy pro podnikové prostředí.

Původně AlmaLinux vycházel z [RHEL](https://www.redhat.com/en) po neshodách přešel na  [CentOS Stream](https://www.centos.org/centos-stream/).

AlmaLinux doporučuje [CERN](https://linux.web.cern.ch/almalinux/).

Hlavní body o AlmaLinux:

### Původ a cíl:
    AlmaLinux byl vytvořen společností CloudLinux, která se specializuje na podporu webhostingových společností.
    Cílem je poskytnout stabilní a bezpečnou alternativu k RHEL, která je kompatibilní s RHEL a CentOS.

### Kompatibilita:
    AlmaLinux je binárně kompatibilní s RHEL, což znamená, že software vyvinutý pro RHEL bude fungovat na AlmaLinux bez nutnosti jakýchkoli úprav.
    Podporuje stejné balíčkovací systémy a formáty jako RHEL, včetně RPM a YUM/DNF.

### Podpora a aktualizace:
    AlmaLinux poskytuje dlouhodobou podporu a pravidelné aktualizace, podobně jako RHEL.
    Společnost CloudLinux se zavazuje k podpoře AlmaLinux po dobu alespoň 10 let.

### Spojení s komunitou:
    AlmaLinux je plně open-source a jeho vývoj je otevřený komunitě.
    Komunita může přispívat k vývoji, hlásit chyby a navrhovat nové funkce.

### Instalace a použití:
    Instalace AlmaLinux je podobná instalaci RHEL nebo CentOS.
    Podporuje různé instalační metody, včetně ISO souborů, PXE bootu a automatizovaných instalací pomocí Kickstart.

### Podpora pro virtualizaci a kontejnery:
    AlmaLinux podporuje různé technologie virtualizace, včetně KVM a Xen.
    Je také kompatibilní s kontejnerovými technologiemi, jako je Docker a Kubernetes.

### Bezpečnost:
    AlmaLinux dává velký důraz na bezpečnost a poskytuje pravidelné bezpečnostní aktualizace.
    Podporuje SELinux a další bezpečnostní nástroje a technologie.

### Dokumentace a podpora:
    AlmaLinux má rozsáhlou dokumentaci a uživatelskou příručku.
    Společnost CloudLinux poskytuje komerční podporu pro AlmaLinux, včetně technické podpory a konzultací.

### Příklady použití:

Serverové prostředí: AlmaLinux je vhodný pro nasazení na servery, včetně webových serverů, databázových serverů a dalších.
Vývojářské prostředí: Je vhodný pro vývojáře, kteří potřebují stabilní a kompatibilní prostředí pro vývoj a testování aplikací.
Podnikové prostředí: Je vhodný pro podnikové prostředí, kde je potřeba stabilní a bezpečná platforma s dlouhodobou podporou.
Desktop: AlmaLinux se dá použít i na Vašem desktopu.

AlmaLinux je tedy výbornou volbou pro ty, kteří hledají stabilní a bezpečnou alternativu k RHEL nebo CentOS, a potřebují dlouhodobou podporu a kompatibilitu s existujícím softwarem.
